import "package:dart_vlc/dart_vlc.dart";
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'app.dart';
import 'db/database.dart';
import 'log/log.dart';
import 'login/logincontext.dart';
import 'platform.dart';

void main() async {
  Log.i("App init!");
  if (isDesktop()) {
    DartVLC.initialize();
  } else {
    await loadDeviceInfo();
  }
  Db().init();

  runApp(Shortcuts(shortcuts: <LogicalKeySet, Intent>{
    LogicalKeySet(LogicalKeyboardKey.select): ActivateIntent(),
  }, child: const LoginContainer(child: App())));
}
