import 'package:flutter/material.dart';
import '../types/tag.dart';

import '../navigation/video_feed.dart';

class TagTile extends StatelessWidget {
  const TagTile({Key? key, required this.tag}) : super(key: key);
  final Tag tag;

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      onPressed: () {
        Navigator.push(
          context,
          MaterialPageRoute(
            builder: (context) => VideoFeed(tag: tag),
          ),
        );
      },
      style: ElevatedButton.styleFrom(primary: Color(0x6a94a6ff)),
      child: SizedBox(
        child: Center(child: Text(tag.tagName)),
        height: 100,
        width: 100,
      ),
    );
  }
}
